﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using Telerik.Windows.Data;

namespace SumFunction_RunTime
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			gridView.ItemsSource = Club.GetClubs();

			var newColumn = new CustomGridColumn() { 
				DataMemberBinding = new Binding("StadiumCapacity"), 
				UniqueName = "Capacity_RunTime",
				Header = "Capacity column created runtime"
			};

			SumFunction sumFunc = new SumFunction() { Caption = "Sum" };

			newColumn.AggregateFunctions.Add(sumFunc);

			gridView.Columns.Add(newColumn);
		}
	}
}
